/* sports2000.p
 *
 * initialized by lib/usermon.p IF sports2000, s2k or bigsports are connected
 *
 */

/* protop is compiled against an empty dictdb - so it cannot use a static query 
 * for application tables and still ship generic code.
 */

define variable b as handle no-undo.
define variable q as handle no-undo.

find first _file no-lock where _file-name = "order" no-error.
if available _file then find first _field no-lock of _file where _field-name = "orderDate" no-error.

if not available _field then return.		/* do not create the session super! this db is an invalid version of sports2000	*/

create buffer b for table "order".
create query q.
q:set-buffers( b ).

/* query-prepare is expensive -- it is better to do it once at startup
 */

q:query-prepare( 'preselect each order no-lock where orderDate = today' ).


session:add-super-procedure( this-procedure ).

subscribe to "usermon" anywhere run-procedure "userMon".

return.


/* respond to requests for user-defined application specific metrics
 *
 * dc/dashboard.p PUBLISHes the request
 *
 * the label can be 13 characters wide and should include a final ":"
 *
 */

procedure userMon:

  define output parameter ufld1 as decimal   no-undo.
  define output parameter ulbl1 as character no-undo.

  define output parameter ufld2 as decimal   no-undo.
  define output parameter ulbl2 as character no-undo.

  define output parameter ufld3 as decimal   no-undo.
  define output parameter ulbl3 as character no-undo.

  define output parameter ufld4 as decimal   no-undo.
  define output parameter ulbl4 as character no-undo.

  define output parameter ufld5 as decimal   no-undo.
  define output parameter ulbl5 as character no-undo.

  define output parameter ufld6 as decimal   no-undo.
  define output parameter ulbl6 as character no-undo.

  define output parameter ufld7 as decimal   no-undo.
  define output parameter ulbl7 as character no-undo.

  define output parameter ufld8 as decimal   no-undo.
  define output parameter ulbl8 as character no-undo.

  uLbl1 = "New Orders:".

  q:query-open.
  uFld1 = q:num-results no-error.
  q:query-close.

  return.

end.
