#!/bin/sh
#
# df.sh
#
# run "df" in the background redirecting output to a file
# wait and read the file
# if df "hangs" the cat will read as much as it finished before hanging
#

. #ENVPT3#/bin/protopenv

TMPDIR=${TMPDIR-/tmp}
LOGDIR=${LOGDIR-/tmp}

DFCMD="df -lP -x tmpfs"

FRNAME="s2k"				# you must pick a resource from etc/dblist.cfg to "sponsor" the alert

LKFILE=${TMPDIR}/df.${PPID}.lk
DFDATA=${TMPDIR}/df.${PPID}.tmp

# echo "Lockfile = " ${LKFILE}
# echo "Datafile = " ${DFDATA}

# if there is a .lk file do not execute "df", a previous attempt hung
#

if [ -f ${LKFILE} ]
then

	# if this happens you need to remember to cleanup any stale .lk file once the problem is cleared

	sendalert.sh ${FRNAME} -type info -msg "df is hanging!"

else

	date > ${LKFILE}
	rm -f  ${DFDATA}

	# run DF if the background, if it doesn't hang remove the .lk file

	( ${DFCMD} > ${DFDATA} ; rm -f ${LKFILE} ) 2>&1 &

	sleep 1

	cat ${DFDATA}

	rm -f  ${DFDATA}

fi
